os/persistentdata/persistentstorage/sqlite3api/TEST/TCL/tcldistribution/tools/configure
First public contribution.
3 # Guess values for system-dependent variables and create Makefiles.
4 # Generated automatically using autoconf version 2.13
5 # Copyright (C) 1992, 93, 94, 95, 96 Free Software Foundation, Inc.
7 # This configure script is free software; the Free Software Foundation
8 # gives unlimited permission to copy, distribute and modify it.
12 ac_default_prefix=/usr/local
13 # Any additions from configure.in:
15 --with-tcl=DIR use Tcl $DEF_VER binaries from DIR"
17 # Initialize some variables set by options.
18 # The variables have the same names as the options, with
19 # dashes changed to underlines.
21 cache_file=./config.cache
30 program_transform_name=s,x,x,
38 bindir='${exec_prefix}/bin'
39 sbindir='${exec_prefix}/sbin'
40 libexecdir='${exec_prefix}/libexec'
41 datadir='${prefix}/share'
42 sysconfdir='${prefix}/etc'
43 sharedstatedir='${prefix}/com'
44 localstatedir='${prefix}/var'
45 libdir='${exec_prefix}/lib'
46 includedir='${prefix}/include'
47 oldincludedir='/usr/include'
48 infodir='${prefix}/info'
49 mandir='${prefix}/man'
51 # Initialize some other variables.
54 SHELL=${CONFIG_SHELL-/bin/sh}
55 # Maximum number of lines to put in a shell here document.
62 # If the previous option needs an argument, assign it.
63 if test -n "$ac_prev"; then
64 eval "$ac_prev=\$ac_option"
70 -*=*) ac_optarg=`echo "$ac_option" | sed 's/[-_a-zA-Z0-9]*=//'` ;;
74 # Accept the important Cygnus configure options, so we can diagnose typos.
78 -bindir | --bindir | --bindi | --bind | --bin | --bi)
80 -bindir=* | --bindir=* | --bindi=* | --bind=* | --bin=* | --bi=*)
81 bindir="$ac_optarg" ;;
83 -build | --build | --buil | --bui | --bu)
85 -build=* | --build=* | --buil=* | --bui=* | --bu=*)
88 -cache-file | --cache-file | --cache-fil | --cache-fi \
89 | --cache-f | --cache- | --cache | --cach | --cac | --ca | --c)
91 -cache-file=* | --cache-file=* | --cache-fil=* | --cache-fi=* \
92 | --cache-f=* | --cache-=* | --cache=* | --cach=* | --cac=* | --ca=* | --c=*)
93 cache_file="$ac_optarg" ;;
95 -datadir | --datadir | --datadi | --datad | --data | --dat | --da)
97 -datadir=* | --datadir=* | --datadi=* | --datad=* | --data=* | --dat=* \
99 datadir="$ac_optarg" ;;
101 -disable-* | --disable-*)
102 ac_feature=`echo $ac_option|sed -e 's/-*disable-//'`
103 # Reject names that are not valid shell variable names.
104 if test -n "`echo $ac_feature| sed 's/[-a-zA-Z0-9_]//g'`"; then
105 { echo "configure: error: $ac_feature: invalid feature name" 1>&2; exit 1; }
107 ac_feature=`echo $ac_feature| sed 's/-/_/g'`
108 eval "enable_${ac_feature}=no" ;;
110 -enable-* | --enable-*)
111 ac_feature=`echo $ac_option|sed -e 's/-*enable-//' -e 's/=.*//'`
112 # Reject names that are not valid shell variable names.
113 if test -n "`echo $ac_feature| sed 's/[-_a-zA-Z0-9]//g'`"; then
114 { echo "configure: error: $ac_feature: invalid feature name" 1>&2; exit 1; }
116 ac_feature=`echo $ac_feature| sed 's/-/_/g'`
121 eval "enable_${ac_feature}='$ac_optarg'" ;;
123 -exec-prefix | --exec_prefix | --exec-prefix | --exec-prefi \
124 | --exec-pref | --exec-pre | --exec-pr | --exec-p | --exec- \
125 | --exec | --exe | --ex)
126 ac_prev=exec_prefix ;;
127 -exec-prefix=* | --exec_prefix=* | --exec-prefix=* | --exec-prefi=* \
128 | --exec-pref=* | --exec-pre=* | --exec-pr=* | --exec-p=* | --exec-=* \
129 | --exec=* | --exe=* | --ex=*)
130 exec_prefix="$ac_optarg" ;;
132 -gas | --gas | --ga | --g)
133 # Obsolete; use --with-gas.
136 -help | --help | --hel | --he)
137 # Omit some internal or obsolete options to make the list less imposing.
138 # This message is too long to be a string in the A/UX 3.1 sh.
140 Usage: configure [options] [host]
141 Options: [defaults in brackets after descriptions]
143 --cache-file=FILE cache test results in FILE
144 --help print this message
145 --no-create do not create output files
146 --quiet, --silent do not print \`checking...' messages
147 --version print the version of autoconf that created configure
148 Directory and file names:
149 --prefix=PREFIX install architecture-independent files in PREFIX
151 --exec-prefix=EPREFIX install architecture-dependent files in EPREFIX
153 --bindir=DIR user executables in DIR [EPREFIX/bin]
154 --sbindir=DIR system admin executables in DIR [EPREFIX/sbin]
155 --libexecdir=DIR program executables in DIR [EPREFIX/libexec]
156 --datadir=DIR read-only architecture-independent data in DIR
158 --sysconfdir=DIR read-only single-machine data in DIR [PREFIX/etc]
159 --sharedstatedir=DIR modifiable architecture-independent data in DIR
161 --localstatedir=DIR modifiable single-machine data in DIR [PREFIX/var]
162 --libdir=DIR object code libraries in DIR [EPREFIX/lib]
163 --includedir=DIR C header files in DIR [PREFIX/include]
164 --oldincludedir=DIR C header files for non-gcc in DIR [/usr/include]
165 --infodir=DIR info documentation in DIR [PREFIX/info]
166 --mandir=DIR man documentation in DIR [PREFIX/man]
167 --srcdir=DIR find the sources in DIR [configure dir or ..]
168 --program-prefix=PREFIX prepend PREFIX to installed program names
169 --program-suffix=SUFFIX append SUFFIX to installed program names
170 --program-transform-name=PROGRAM
171 run sed PROGRAM on installed program names
175 --build=BUILD configure for building on BUILD [BUILD=HOST]
176 --host=HOST configure for HOST [guessed]
177 --target=TARGET configure for TARGET [TARGET=HOST]
178 Features and packages:
179 --disable-FEATURE do not include FEATURE (same as --enable-FEATURE=no)
180 --enable-FEATURE[=ARG] include FEATURE [ARG=yes]
181 --with-PACKAGE[=ARG] use PACKAGE [ARG=yes]
182 --without-PACKAGE do not use PACKAGE (same as --with-PACKAGE=no)
183 --x-includes=DIR X include files are in DIR
184 --x-libraries=DIR X library files are in DIR
186 if test -n "$ac_help"; then
187 echo "--enable and --with options recognized:$ac_help"
191 -host | --host | --hos | --ho)
193 -host=* | --host=* | --hos=* | --ho=*)
196 -includedir | --includedir | --includedi | --included | --include \
197 | --includ | --inclu | --incl | --inc)
198 ac_prev=includedir ;;
199 -includedir=* | --includedir=* | --includedi=* | --included=* | --include=* \
200 | --includ=* | --inclu=* | --incl=* | --inc=*)
201 includedir="$ac_optarg" ;;
203 -infodir | --infodir | --infodi | --infod | --info | --inf)
205 -infodir=* | --infodir=* | --infodi=* | --infod=* | --info=* | --inf=*)
206 infodir="$ac_optarg" ;;
208 -libdir | --libdir | --libdi | --libd)
210 -libdir=* | --libdir=* | --libdi=* | --libd=*)
211 libdir="$ac_optarg" ;;
213 -libexecdir | --libexecdir | --libexecdi | --libexecd | --libexec \
214 | --libexe | --libex | --libe)
215 ac_prev=libexecdir ;;
216 -libexecdir=* | --libexecdir=* | --libexecdi=* | --libexecd=* | --libexec=* \
217 | --libexe=* | --libex=* | --libe=*)
218 libexecdir="$ac_optarg" ;;
220 -localstatedir | --localstatedir | --localstatedi | --localstated \
221 | --localstate | --localstat | --localsta | --localst \
222 | --locals | --local | --loca | --loc | --lo)
223 ac_prev=localstatedir ;;
224 -localstatedir=* | --localstatedir=* | --localstatedi=* | --localstated=* \
225 | --localstate=* | --localstat=* | --localsta=* | --localst=* \
226 | --locals=* | --local=* | --loca=* | --loc=* | --lo=*)
227 localstatedir="$ac_optarg" ;;
229 -mandir | --mandir | --mandi | --mand | --man | --ma | --m)
231 -mandir=* | --mandir=* | --mandi=* | --mand=* | --man=* | --ma=* | --m=*)
232 mandir="$ac_optarg" ;;
235 # Obsolete; use --without-fp.
238 -no-create | --no-create | --no-creat | --no-crea | --no-cre \
242 -no-recursion | --no-recursion | --no-recursio | --no-recursi \
243 | --no-recurs | --no-recur | --no-recu | --no-rec | --no-re | --no-r)
246 -oldincludedir | --oldincludedir | --oldincludedi | --oldincluded \
247 | --oldinclude | --oldinclud | --oldinclu | --oldincl | --oldinc \
248 | --oldin | --oldi | --old | --ol | --o)
249 ac_prev=oldincludedir ;;
250 -oldincludedir=* | --oldincludedir=* | --oldincludedi=* | --oldincluded=* \
251 | --oldinclude=* | --oldinclud=* | --oldinclu=* | --oldincl=* | --oldinc=* \
252 | --oldin=* | --oldi=* | --old=* | --ol=* | --o=*)
253 oldincludedir="$ac_optarg" ;;
255 -prefix | --prefix | --prefi | --pref | --pre | --pr | --p)
257 -prefix=* | --prefix=* | --prefi=* | --pref=* | --pre=* | --pr=* | --p=*)
258 prefix="$ac_optarg" ;;
260 -program-prefix | --program-prefix | --program-prefi | --program-pref \
261 | --program-pre | --program-pr | --program-p)
262 ac_prev=program_prefix ;;
263 -program-prefix=* | --program-prefix=* | --program-prefi=* \
264 | --program-pref=* | --program-pre=* | --program-pr=* | --program-p=*)
265 program_prefix="$ac_optarg" ;;
267 -program-suffix | --program-suffix | --program-suffi | --program-suff \
268 | --program-suf | --program-su | --program-s)
269 ac_prev=program_suffix ;;
270 -program-suffix=* | --program-suffix=* | --program-suffi=* \
271 | --program-suff=* | --program-suf=* | --program-su=* | --program-s=*)
272 program_suffix="$ac_optarg" ;;
274 -program-transform-name | --program-transform-name \
275 | --program-transform-nam | --program-transform-na \
276 | --program-transform-n | --program-transform- \
277 | --program-transform | --program-transfor \
278 | --program-transfo | --program-transf \
279 | --program-trans | --program-tran \
280 | --progr-tra | --program-tr | --program-t)
281 ac_prev=program_transform_name ;;
282 -program-transform-name=* | --program-transform-name=* \
283 | --program-transform-nam=* | --program-transform-na=* \
284 | --program-transform-n=* | --program-transform-=* \
285 | --program-transform=* | --program-transfor=* \
286 | --program-transfo=* | --program-transf=* \
287 | --program-trans=* | --program-tran=* \
288 | --progr-tra=* | --program-tr=* | --program-t=*)
289 program_transform_name="$ac_optarg" ;;
291 -q | -quiet | --quiet | --quie | --qui | --qu | --q \
292 | -silent | --silent | --silen | --sile | --sil)
295 -sbindir | --sbindir | --sbindi | --sbind | --sbin | --sbi | --sb)
297 -sbindir=* | --sbindir=* | --sbindi=* | --sbind=* | --sbin=* \
299 sbindir="$ac_optarg" ;;
301 -sharedstatedir | --sharedstatedir | --sharedstatedi \
302 | --sharedstated | --sharedstate | --sharedstat | --sharedsta \
303 | --sharedst | --shareds | --shared | --share | --shar \
305 ac_prev=sharedstatedir ;;
306 -sharedstatedir=* | --sharedstatedir=* | --sharedstatedi=* \
307 | --sharedstated=* | --sharedstate=* | --sharedstat=* | --sharedsta=* \
308 | --sharedst=* | --shareds=* | --shared=* | --share=* | --shar=* \
310 sharedstatedir="$ac_optarg" ;;
312 -site | --site | --sit)
314 -site=* | --site=* | --sit=*)
317 -srcdir | --srcdir | --srcdi | --srcd | --src | --sr)
319 -srcdir=* | --srcdir=* | --srcdi=* | --srcd=* | --src=* | --sr=*)
320 srcdir="$ac_optarg" ;;
322 -sysconfdir | --sysconfdir | --sysconfdi | --sysconfd | --sysconf \
323 | --syscon | --sysco | --sysc | --sys | --sy)
324 ac_prev=sysconfdir ;;
325 -sysconfdir=* | --sysconfdir=* | --sysconfdi=* | --sysconfd=* | --sysconf=* \
326 | --syscon=* | --sysco=* | --sysc=* | --sys=* | --sy=*)
327 sysconfdir="$ac_optarg" ;;
329 -target | --target | --targe | --targ | --tar | --ta | --t)
331 -target=* | --target=* | --targe=* | --targ=* | --tar=* | --ta=* | --t=*)
332 target="$ac_optarg" ;;
334 -v | -verbose | --verbose | --verbos | --verbo | --verb)
337 -version | --version | --versio | --versi | --vers)
338 echo "configure generated by autoconf version 2.13"
342 ac_package=`echo $ac_option|sed -e 's/-*with-//' -e 's/=.*//'`
343 # Reject names that are not valid shell variable names.
344 if test -n "`echo $ac_package| sed 's/[-_a-zA-Z0-9]//g'`"; then
345 { echo "configure: error: $ac_package: invalid package name" 1>&2; exit 1; }
347 ac_package=`echo $ac_package| sed 's/-/_/g'`
352 eval "with_${ac_package}='$ac_optarg'" ;;
354 -without-* | --without-*)
355 ac_package=`echo $ac_option|sed -e 's/-*without-//'`
356 # Reject names that are not valid shell variable names.
357 if test -n "`echo $ac_package| sed 's/[-a-zA-Z0-9_]//g'`"; then
358 { echo "configure: error: $ac_package: invalid package name" 1>&2; exit 1; }
360 ac_package=`echo $ac_package| sed 's/-/_/g'`
361 eval "with_${ac_package}=no" ;;
364 # Obsolete; use --with-x.
367 -x-includes | --x-includes | --x-include | --x-includ | --x-inclu \
368 | --x-incl | --x-inc | --x-in | --x-i)
369 ac_prev=x_includes ;;
370 -x-includes=* | --x-includes=* | --x-include=* | --x-includ=* | --x-inclu=* \
371 | --x-incl=* | --x-inc=* | --x-in=* | --x-i=*)
372 x_includes="$ac_optarg" ;;
374 -x-libraries | --x-libraries | --x-librarie | --x-librari \
375 | --x-librar | --x-libra | --x-libr | --x-lib | --x-li | --x-l)
376 ac_prev=x_libraries ;;
377 -x-libraries=* | --x-libraries=* | --x-librarie=* | --x-librari=* \
378 | --x-librar=* | --x-libra=* | --x-libr=* | --x-lib=* | --x-li=* | --x-l=*)
379 x_libraries="$ac_optarg" ;;
381 -*) { echo "configure: error: $ac_option: invalid option; use --help to show usage" 1>&2; exit 1; }
385 if test -n "`echo $ac_option| sed 's/[-a-z0-9.]//g'`"; then
386 echo "configure: warning: $ac_option: invalid host type" 1>&2
388 if test "x$nonopt" != xNONE; then
389 { echo "configure: error: can only configure for one host and one target at a time" 1>&2; exit 1; }
397 if test -n "$ac_prev"; then
398 { echo "configure: error: missing argument to --`echo $ac_prev | sed 's/_/-/g'`" 1>&2; exit 1; }
401 trap 'rm -fr conftest* confdefs* core core.* *.core $ac_clean_files; exit 1' 1 2 15
403 # File descriptor usage:
406 # 2 errors and warnings
407 # 3 some systems may open it to /dev/tty
408 # 4 used on the Kubota Titan
409 # 6 checking for... messages and results
410 # 5 compiler messages saved in config.log
411 if test "$silent" = yes; then
419 This file contains any messages produced by compilers while
420 running configure, to aid debugging if configure makes a mistake.
423 # Strip out --no-create and --no-recursion so they do not pile up.
424 # Also quote any args containing shell metacharacters.
429 -no-create | --no-create | --no-creat | --no-crea | --no-cre \
430 | --no-cr | --no-c) ;;
431 -no-recursion | --no-recursion | --no-recursio | --no-recursi \
432 | --no-recurs | --no-recur | --no-recu | --no-rec | --no-re | --no-r) ;;
433 *" "*|*" "*|*[\[\]\~\#\$\^\&\*\(\)\{\}\\\|\;\<\>\?]*)
434 ac_configure_args="$ac_configure_args '$ac_arg'" ;;
435 *) ac_configure_args="$ac_configure_args $ac_arg" ;;
440 # Only set these to C if already set. These must not be set unconditionally
441 # because not all systems understand e.g. LANG=C (notably SCO).
442 # Fixing LC_MESSAGES prevents Solaris sh from translating var values in `set'!
443 # Non-C LC_CTYPE values break the ctype check.
444 if test "${LANG+set}" = set; then LANG=C; export LANG; fi
445 if test "${LC_ALL+set}" = set; then LC_ALL=C; export LC_ALL; fi
446 if test "${LC_MESSAGES+set}" = set; then LC_MESSAGES=C; export LC_MESSAGES; fi
447 if test "${LC_CTYPE+set}" = set; then LC_CTYPE=C; export LC_CTYPE; fi
449 # confdefs.h avoids OS command line length limits that DEFS can exceed.
450 rm -rf conftest* confdefs.h
451 # AIX cpp loses on an empty file, so make sure it contains at least a newline.
454 # A filename unique to this package, relative to the directory that
455 # configure is in, which we can look for to find out if srcdir is correct.
456 ac_unique_file=man2tcl.c
458 # Find the source files, if location was not specified.
459 if test -z "$srcdir"; then
460 ac_srcdir_defaulted=yes
461 # Try the directory containing this script, then its parent.
463 ac_confdir=`echo $ac_prog|sed 's%/[^/][^/]*$%%'`
464 test "x$ac_confdir" = "x$ac_prog" && ac_confdir=.
466 if test ! -r $srcdir/$ac_unique_file; then
470 ac_srcdir_defaulted=no
472 if test ! -r $srcdir/$ac_unique_file; then
473 if test "$ac_srcdir_defaulted" = yes; then
474 { echo "configure: error: can not find sources in $ac_confdir or .." 1>&2; exit 1; }
476 { echo "configure: error: can not find sources in $srcdir" 1>&2; exit 1; }
479 srcdir=`echo "${srcdir}" | sed 's%\([^/]\)/*$%\1%'`
481 # Prefer explicitly selected file to automatically selected ones.
482 if test -z "$CONFIG_SITE"; then
483 if test "x$prefix" != xNONE; then
484 CONFIG_SITE="$prefix/share/config.site $prefix/etc/config.site"
486 CONFIG_SITE="$ac_default_prefix/share/config.site $ac_default_prefix/etc/config.site"
489 for ac_site_file in $CONFIG_SITE; do
490 if test -r "$ac_site_file"; then
491 echo "loading site script $ac_site_file"
496 if test -r "$cache_file"; then
497 echo "loading cache $cache_file"
500 echo "creating cache $cache_file"
505 # CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
506 ac_cpp='$CPP $CPPFLAGS'
507 ac_compile='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
508 ac_link='${CC-cc} -o conftest${ac_exeext} $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
509 cross_compiling=$ac_cv_prog_cc_cross
513 if (echo "testing\c"; echo 1,2,3) | grep c >/dev/null; then
514 # Stardent Vistra SVR4 grep lacks -e, says ghazi@caip.rutgers.edu.
515 if (echo -n testing; echo 1,2,3) | sed s/-n/xn/ | grep xn >/dev/null; then
522 ac_n= ac_c='\c' ac_t=
526 # RCS: @(#) $Id: configure,v 1.2 2001/10/04 20:18:09 hobbs Exp $
528 # Recover information that Tcl computed with its configure script.
530 #--------------------------------------------------------------------
531 # See if there was a command-line option for where Tcl is; if
532 # not, assume that its top-level directory is a sibling of ours.
533 #--------------------------------------------------------------------
537 # Check whether --with-tcl or --without-tcl was given.
538 if test "${with_tcl+set}" = set; then
542 TCL_BIN_DIR=`cd ../../tcl$DEF_VER$TCL_PATCH_LEVEL/unix; pwd`
545 if test ! -d $TCL_BIN_DIR; then
546 { echo "configure: error: Tcl directory $TCL_BIN_DIR doesn't exist" 1>&2; exit 1; }
548 if test ! -f $TCL_BIN_DIR/tclConfig.sh; then
549 { echo "configure: error: There's no tclConfig.sh in $TCL_BIN_DIR; perhaps you didn't specify the Tcl *build* directory (not the toplevel Tcl directory) or you forgot to configure Tcl?" 1>&2; exit 1; }
552 . $TCL_BIN_DIR/tclConfig.sh
554 TCL_WIN_VERSION=$TCL_MAJOR_VERSION$TCL_MINOR_VERSION
564 cat > confcache <<\EOF
565 # This file is a shell script that caches the results of configure
566 # tests run on this system so they can be shared between configure
567 # scripts and configure runs. It is not useful on other systems.
568 # If it contains results you don't want to keep, you may remove or edit it.
570 # By default, configure uses ./config.cache as the cache file,
571 # creating it if it does not exist already. You can give configure
572 # the --cache-file=FILE option to use a different cache file; that is
573 # what configure does when it calls configure scripts in
574 # subdirectories, so they share the cache.
575 # Giving --cache-file=/dev/null disables caching, for debugging configure.
576 # config.status only pays attention to the cache file if you give it the
577 # --recheck option to rerun configure.
580 # The following way of writing the cache mishandles newlines in values,
581 # but we know of no workaround that is simple, portable, and efficient.
582 # So, don't put newlines in cache variables' values.
583 # Ultrix sh set writes to stderr and can't be redirected directly,
584 # and sets the high bit in the cache file unless we assign to the vars.
586 case `(ac_space=' '; set | grep ac_space) 2>&1` in
588 # `set' does not quote correctly, so add quotes (double-quote substitution
589 # turns \\\\ into \\, and sed turns \\ into \).
592 -e "s/^\\([a-zA-Z0-9_]*_cv_[a-zA-Z0-9_]*\\)=\\(.*\\)/\\1=\${\\1='\\2'}/p"
595 # `set' quotes correctly as required by POSIX, so do not add quotes.
596 sed -n -e 's/^\([a-zA-Z0-9_]*_cv_[a-zA-Z0-9_]*\)=\(.*\)/\1=${\1=\2}/p'
599 if cmp -s $cache_file confcache; then
602 if test -w $cache_file; then
603 echo "updating cache $cache_file"
604 cat confcache > $cache_file
606 echo "not updating unwritable cache $cache_file"
611 trap 'rm -fr conftest* confdefs* core core.* *.core $ac_clean_files; exit 1' 1 2 15
613 test "x$prefix" = xNONE && prefix=$ac_default_prefix
614 # Let make expand exec_prefix.
615 test "x$exec_prefix" = xNONE && exec_prefix='${prefix}'
617 # Any assignment to VPATH causes Sun make to only execute
618 # the first set of double-colon rules, so remove it if not needed.
619 # If there is a colon in the path, we need to keep it.
620 if test "x$srcdir" = x.; then
621 ac_vpsub='/^[ ]*VPATH[ ]*=[^:]*$/d'
624 trap 'rm -f $CONFIG_STATUS conftest*; exit 1' 1 2 15
626 # Transform confdefs.h into DEFS.
627 # Protect against shell expansion while executing Makefile rules.
628 # Protect against Makefile macro expansion.
629 cat > conftest.defs <<\EOF
630 s%#define \([A-Za-z_][A-Za-z0-9_]*\) *\(.*\)%-D\1=\2%g
631 s%[ `~#$^&*(){}\\|;'"<>?]%\\&%g
636 DEFS=`sed -f conftest.defs confdefs.h | tr '\012' ' '`
640 # Without the "./", some shells look in PATH for config.status.
641 : ${CONFIG_STATUS=./config.status}
643 echo creating $CONFIG_STATUS
645 cat > $CONFIG_STATUS <<EOF
647 # Generated automatically by configure.
648 # Run this file to recreate the current configuration.
649 # This directory was configured as follows,
650 # on host `(hostname || uname -n) 2>/dev/null | sed 1q`:
652 # $0 $ac_configure_args
654 # Compiler output produced by configure, useful for debugging
655 # configure, is in ./config.log if it exists.
657 ac_cs_usage="Usage: $CONFIG_STATUS [--recheck] [--version] [--help]"
660 case "\$ac_option" in
661 -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
662 echo "running \${CONFIG_SHELL-/bin/sh} $0 $ac_configure_args --no-create --no-recursion"
663 exec \${CONFIG_SHELL-/bin/sh} $0 $ac_configure_args --no-create --no-recursion ;;
664 -version | --version | --versio | --versi | --vers | --ver | --ve | --v)
665 echo "$CONFIG_STATUS generated by autoconf version 2.13"
667 -help | --help | --hel | --he | --h)
668 echo "\$ac_cs_usage"; exit 0 ;;
669 *) echo "\$ac_cs_usage"; exit 1 ;;
673 ac_given_srcdir=$srcdir
675 trap 'rm -fr `echo "Makefile tcl.hpj" | sed "s/:[^ ]*//g"` conftest*; exit 1' 1 2 15
677 cat >> $CONFIG_STATUS <<EOF
679 # Protect against being on the right side of a sed subst in config.status.
680 sed 's/%@/@@/; s/@%/@@/; s/%g\$/@g/; /@g\$/s/[\\\\&%]/\\\\&/g;
681 s/@@/%@/; s/@@/@%/; s/@g\$/%g/' > conftest.subs <<\\CEOF
686 s%@CPPFLAGS@%$CPPFLAGS%g
687 s%@CXXFLAGS@%$CXXFLAGS%g
690 s%@LDFLAGS@%$LDFLAGS%g
692 s%@exec_prefix@%$exec_prefix%g
694 s%@program_transform_name@%$program_transform_name%g
696 s%@sbindir@%$sbindir%g
697 s%@libexecdir@%$libexecdir%g
698 s%@datadir@%$datadir%g
699 s%@sysconfdir@%$sysconfdir%g
700 s%@sharedstatedir@%$sharedstatedir%g
701 s%@localstatedir@%$localstatedir%g
703 s%@includedir@%$includedir%g
704 s%@oldincludedir@%$oldincludedir%g
705 s%@infodir@%$infodir%g
707 s%@TCL_WIN_VERSION@%$TCL_WIN_VERSION%g
709 s%@TCL_VERSION@%$TCL_VERSION%g
710 s%@TCL_PATCH_LEVEL@%$TCL_PATCH_LEVEL%g
711 s%@TCL_SRC_DIR@%$TCL_SRC_DIR%g
712 s%@TCL_BIN_DIR@%$TCL_BIN_DIR%g
717 cat >> $CONFIG_STATUS <<\EOF
719 # Split the substitutions into bite-sized pieces for seds with
720 # small command number limits, like on Digital OSF/1 and HP-UX.
721 ac_max_sed_cmds=90 # Maximum number of lines to put in a sed script.
722 ac_file=1 # Number of current file.
723 ac_beg=1 # First line for current file.
724 ac_end=$ac_max_sed_cmds # Line after last line for current file.
727 while $ac_more_lines; do
728 if test $ac_beg -gt 1; then
729 sed "1,${ac_beg}d; ${ac_end}q" conftest.subs > conftest.s$ac_file
731 sed "${ac_end}q" conftest.subs > conftest.s$ac_file
733 if test ! -s conftest.s$ac_file; then
735 rm -f conftest.s$ac_file
737 if test -z "$ac_sed_cmds"; then
738 ac_sed_cmds="sed -f conftest.s$ac_file"
740 ac_sed_cmds="$ac_sed_cmds | sed -f conftest.s$ac_file"
742 ac_file=`expr $ac_file + 1`
744 ac_end=`expr $ac_end + $ac_max_sed_cmds`
747 if test -z "$ac_sed_cmds"; then
752 cat >> $CONFIG_STATUS <<EOF
754 CONFIG_FILES=\${CONFIG_FILES-"Makefile tcl.hpj"}
756 cat >> $CONFIG_STATUS <<\EOF
757 for ac_file in .. $CONFIG_FILES; do if test "x$ac_file" != x..; then
758 # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
760 *:*) ac_file_in=`echo "$ac_file"|sed 's%[^:]*:%%'`
761 ac_file=`echo "$ac_file"|sed 's%:.*%%'` ;;
762 *) ac_file_in="${ac_file}.in" ;;
765 # Adjust a relative srcdir, top_srcdir, and INSTALL for subdirectories.
767 # Remove last slash and all that follows it. Not all systems have dirname.
768 ac_dir=`echo $ac_file|sed 's%/[^/][^/]*$%%'`
769 if test "$ac_dir" != "$ac_file" && test "$ac_dir" != .; then
770 # The file is in a subdirectory.
771 test ! -d "$ac_dir" && mkdir "$ac_dir"
772 ac_dir_suffix="/`echo $ac_dir|sed 's%^\./%%'`"
773 # A "../" for each directory in $ac_dir_suffix.
774 ac_dots=`echo $ac_dir_suffix|sed 's%/[^/]*%../%g'`
776 ac_dir_suffix= ac_dots=
779 case "$ac_given_srcdir" in
781 if test -z "$ac_dots"; then top_srcdir=.
782 else top_srcdir=`echo $ac_dots|sed 's%/$%%'`; fi ;;
783 /*) srcdir="$ac_given_srcdir$ac_dir_suffix"; top_srcdir="$ac_given_srcdir" ;;
785 srcdir="$ac_dots$ac_given_srcdir$ac_dir_suffix"
786 top_srcdir="$ac_dots$ac_given_srcdir" ;;
790 echo creating "$ac_file"
792 configure_input="Generated automatically from `echo $ac_file_in|sed 's%.*/%%'` by configure."
794 *Makefile*) ac_comsub="1i\\
795 # $configure_input" ;;
799 ac_file_inputs=`echo $ac_file_in|sed -e "s%^%$ac_given_srcdir/%" -e "s%:% $ac_given_srcdir/%g"`
801 s%@configure_input@%$configure_input%g
803 s%@top_srcdir@%$top_srcdir%g
804 " $ac_file_inputs | (eval "$ac_sed_cmds") > $ac_file
809 cat >> $CONFIG_STATUS <<EOF
812 cat >> $CONFIG_STATUS <<\EOF
816 chmod +x $CONFIG_STATUS
817 rm -fr confdefs* $ac_clean_files
818 test "$no_create" = yes || ${CONFIG_SHELL-/bin/sh} $CONFIG_STATUS || exit 1